=== debian/changelog ===
dkms (3.0.12-5) unstable; urgency=medium

  * dkms: Use saner compression defaults.  (Closes: #1061427)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Feb 2024 20:54:03 +0100

dkms (3.0.12-4) unstable; urgency=medium

  * common.postinst: Use bash for extracting AUTOINSTALL from dkms.conf.
    (Closes: #1059885)
  * Stop recommending linux-headers-*.
    (Closes: #1059895, #918918, #968763, #637877, #755942, #762061, #951404)
  * postinst: Be less greedy and don't remove module source while cleaning up
    module builds with empty $arch from the dkms tree.  (Closes: #1059900)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Jan 2024 20:16:57 +0100

dkms (3.0.12-3) unstable; urgency=medium

  * Autodetect module compression during tests.  (Closes: #1059894)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 Jan 2024 14:10:36 +0100

dkms (3.0.12-2) experimental; urgency=medium

  * Cherry-pick upstream patches:
    - Use 'unbuild' instead of 'remove' in kernel prerm script to keep the
      modules in 'added' state.  (Closes: #621846, #894250)
    - Document MOK key *and* cert recreation behavior if MOK key *or* cert is
      missing.  (Closes: #1052243)
  * kernel/header_postinst.d hook: On header upgrades w/o package name change,
    'unbuild' all 'autoinstall'ed modules built against the old version first
    to ensure they get rebuilt against the upgraded headers on the next
    'autoinstall'.  (Closes: #1040401, #1034013)
  * common.postinst: Only build AUTOINSTALL="yes" modules on installation.
  * Clean up obsolete /etc/kernel/install.d/dkms, renamed to 40-dkms.install.
    (Closes: #1056949)
  * postinst: Clean up modules with empty $arch from dkms tree. (Cf. #1036033)
  * postinst: Clean up dangling source links from dkms tree.  (LP: #830915)
  * dh_dkms: Strip epoch from upstream version.  (Closes: #660043)
  * dh_dkms: Error out on invalid package versions.
  * dh_dkms: Always substitute #MODULE_VERSION#.  (Closes: #736803)
  * Add dkms-noautoinstall-test-dkms package with a trivial kernel module for
    dkms tests.
  * Add autopkgtests using dkms-noautoinstall-test-dkms.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Dec 2023 00:48:28 +0100

dkms (3.0.12-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * New autopkgtest: Test 32-bit i386 userspace with 64-bit kernel.
  * Only enumerate kernels that potentially have headers installed.
    (Closes: #1011317)
  * Clean up after depmod if modules.dep is empty.
  * postinst: Clean up leftover depmod files from removed kernels/headers.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 25 Nov 2023 02:36:21 +0100

dkms (3.0.11-3) unstable; urgency=medium

  * autopkgtest fixes.
  * Drop Ubuntu-specific patch.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 16 Jun 2023 17:15:58 +0200

dkms (3.0.11-2) unstable; urgency=medium

  * dh_dkms: Bump generated dkms dependency for new BUILD_EXCLUSIVE
    directives.
  * Fix and unify CC detection.
  * Fail early if $arch detection fails.  (Closes: #1036033, #842596)
  * Add Breaks against obsolete *-dkms packages that are incompatible with the
    Linux 6.1 kernel in bookworm.  (Closes: #1037425)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 13 Jun 2023 19:02:14 +0200
