=== debian/changelog ===
dkms (3.0.13-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Downgrade compiler dependency to Recommends to ease cross installation.
    The linux-headers-* packages have a proper compiler dependency.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Mar 2024 11:33:57 +0100
