=== debian/control ===
--- 
+++ 
@@ -20,12 +20,13 @@
 Multi-Arch: foreign
 Pre-Depends: lsb-release
 Depends: ${misc:Depends},
- kmod | kldutils,
- gcc | c-compiler,
+ kmod,
  dpkg-dev,
  make | build-essential,
  patch,
-Recommends: fakeroot,
+Recommends:
+ gcc | c-compiler,
+ fakeroot,
  sudo,
 Suggests: menu, e2fsprogs
 Breaks:
