=== debian/changelog ===
dkms (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 18 Oct 2024 03:45:43 +0200
