=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Mario Limonciello <Mario_Limonciello@dell.com>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/dell/dkms
 Vcs-Git: https://salsa.debian.org/debian/dkms.git
 Vcs-Browser: https://salsa.debian.org/debian/dkms
