=== debian/changelog ===
dkms (3.1.4-1) experimental; urgency=medium

  * New upstream release.  (Closes: #1088640)
  * Refresh patches.
  * Add dkms-replace-test-dkms package with a trivial kernel module for dkms
    tests.
  * Fix dkms_autoinstaller error propagation.  (Closes: #1093556)
  * Ensure modules get rebuilt once on kernel upgrades w/o version change.
    (Closes: #1076351)
  * dkms-autopkgtest: Update module-is-installed regex again.
  * Remove Mario Limonciello from Uploaders at his request.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Jan 2025 05:31:56 +0100

dkms (3.1.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 15:57:54 -0500

dkms (3.1.0-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Beckmann ]
  * Clean up /etc/kernel/install.d/40-dkms.install, moved to /usr.
    (Closes: #1086441)

  [ Jeremy Sowden ]
  * d/s/dkms-autopkgtest: fix testing of packages that override original modules
    (Closes: #1088558).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 06 Jan 2025 23:40:28 +0100
