=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: David Paleino <dapal@debian.org>,
  Petter Reinholdtsen <pere@debian.org>,
  Aron Xu <aron@debian.org>,
- Mario Limonciello <Mario_Limonciello@dell.com>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.7.0
@@ -72,8 +71,8 @@
 Description: trivial dkms test kernel module
  This package provides the dkms source code for the dkms_test kernel module.
  .
- This package is only intended for ci tests and not expected to be installed
- on regular systems
+ This package is only intended for CI tests and not expected to be installed
+ on regular systems.
 
 Package: dkms-noautoinstall-test-dkms
 Architecture: all
@@ -83,5 +82,17 @@
  This package provides the dkms source code for the dkms_noautoinstall_test
  kernel module.
  .
- This package is only intended for ci tests and not expected to be installed
- on regular systems
+ This package is only intended for CI tests and not expected to be installed
+ on regular systems.
+
+Package: dkms-replace-test-dkms
+Architecture: all
+Depends:
+ dkms-test-dkms,
+ ${misc:Depends},
+Description: trivial dkms replace test kernel module
+ This package provides the dkms source code for the dkms_replace_test
+ kernel module.
+ .
+ This package is only intended for CI tests and not expected to be installed
+ on regular systems.
