## dkms 3.1.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-RELEASE_DATE := "19 December 2024"
+RELEASE_DATE := "30 January 2025"
 RELEASE_MAJOR := 3
 RELEASE_MINOR := 1
-RELEASE_MICRO := 4
+RELEASE_MICRO := 5
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -29,7 +29,7 @@
 %: %.in
 	$(SED) $(SED_SUBSTITUTIONS) $< > $@
 
-all: \
+GENERATED= \
 	dkms \
 	dkms.8 \
 	dkms_autoinstaller \
@@ -43,20 +43,11 @@
 	debian_kernel_prerm.d \
 	redhat_kernel_install.d
 
+all: $(GENERATED)
+
 clean:
 	-rm -rf dist/
-	-rm -f dkms
-	-rm -f dkms.8
-	-rm -f dkms_autoinstaller
-	-rm -f dkms.bash-completion
-	-rm -f dkms.zsh-completion
-	-rm -f dkms_common.postinst
-	-rm -f dkms_framework.conf
-	-rm -f dkms.service
-	-rm -f debian_kernel_install.d
-	-rm -f debian_kernel_postinst.d
-	-rm -f debian_kernel_prerm.d
-	-rm -f redhat_kernel_install.d
+	$(RM) $(GENERATED)
 
 install: all
 	$(if $(strip $(VAR)),$(error Setting VAR is not supported))
