=== debian/changelog ===
dkms (3.1.5-2) unstable; urgency=medium

  * dkms-autopkgtest: Support manual execution with a .deb file argument.
  * Add Breaks against more obsolete *-dkms packages.
  * run_test.sh: Extract only the major part of the kmod version.
    (Closes: #1099711)
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 18 Mar 2025 09:08:57 +0100

dkms (3.1.5-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1009645, #706868)
  * Refresh patches.
  * framework.conf.d: Enable autoinstall_all_kernels="yes" by default.
    (Closes: #1087433)
  * dkms-autopkgtest: Skip test (exit 0) on i386 (no more kernels or headers).
  * dkms-autopkgtest: Skip test (exit 77) if no linux-headers-* seem to exist.
  * Skip upstream testsuite on i386.
  * Add Breaks against obsolete *-dkms packages that are incompatible with the
    Linux 6.12 kernel in trixie.
  * Remove outdated HOWTO.Debian.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Feb 2025 04:13:14 +0100
