=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Test-Command: sh debian/tests/run_test_wrapper.sh
 Features: test-name=run_test.sh
+Architecture: !i386
 Depends:
  dkms,
  openssl,
@@ -9,7 +10,6 @@
  allow-stderr,
  needs-root,
  breaks-testbed,
- skip-not-installable,
 
 # install some-dkms after linux-headers
 Test-Command: apt-get install -yf dkms-test-dkms && dkms status
