## dkms 3.1.7

=== debian/changelog ===
dkms (3.1.7-2) unstable; urgency=medium

  * Skip autopkgtest without /proc if it cannot be unmounted.
  * Unbreak zfs-dkms post_build script.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 04 Apr 2025 22:50:46 +0200

dkms (3.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Install zsh completions in /usr/share/zsh/vendor-completions/.
  * New autopkgtest: Run upstream testsuite with /proc unmounted.
  * Ship dkms.service.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 04 Apr 2025 02:09:34 +0200
