## dkms 3.1.8

=== debian/changelog ===
dkms (3.1.8-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1102075, #1098805)
  * Suppress the CLEAN deprecation warning for trixie.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 12 Apr 2025 00:23:30 +0200
