=== debian/control ===
--- 
+++ 
@@ -31,10 +31,11 @@
 Breaks:
 # fewer supported architectures in trixie than before
  broadcom-sta-dkms (<< 6.30.223.271-25.1~),
+ dahdi-dkms (<< 1:3.1.0+git20230717~dfsg-10.1~),
  tp-smapi-dkms (<< 0.44-1.2~),
 # in bookworm, not in trixie
  adv-17v35x-dkms (<< 5.0.7.0-1.0),
- falcosecurity-scap-dkms (< 0.20),
+ falcosecurity-scap-dkms (<< 0.20),
  nat-rtsp-dkms (<< 0.7+5.3-0.3~),
 # fewer supported architectures in bookworm than before
  bbswitch-dkms (<< 0.8-12~),
