## dkms 3.2.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-RELEASE_DATE := "30 January 2025"
+RELEASE_DATE := "07 May 2025"
 RELEASE_MAJOR := 3
-RELEASE_MINOR := 1
-RELEASE_MICRO := 5
+RELEASE_MINOR := 2
+RELEASE_MICRO := 0
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -40,6 +40,7 @@
 	dkms.service \
 	debian_kernel_install.d \
 	debian_kernel_postinst.d \
+	debian_kernel_preinst.d \
 	debian_kernel_prerm.d \
 	redhat_kernel_install.d
 
@@ -82,7 +83,9 @@
 	install -D -m 0755 debian_kernel_install.d $(DESTDIR)$(KINSTALL)/40-dkms.install
 	install -D -m 0755 debian_kernel_postinst.d $(DESTDIR)$(KCONF)/postinst.d/dkms
 	install -D -m 0755 debian_kernel_postinst.d $(DESTDIR)$(KCONF)/header_postinst.d/dkms
+	install -D -m 0755 debian_kernel_preinst.d $(DESTDIR)$(KCONF)/preinst.d/dkms
 	install -D -m 0755 debian_kernel_prerm.d $(DESTDIR)$(KCONF)/prerm.d/dkms
+	install -D -m 0644 dkms.service $(DESTDIR)$(SYSTEMD)/dkms.service
 
 install-doc:
 	$(if $(strip $(DOC)),$(error Setting DOCDIR is not supported))
