=== test/dkms_emptyver_test/Makefile ===
obj-m += dkms_emptyver_test.o

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean
