=== debian/changelog ===
dkms (3.2.0-1~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 14 Oct 2025 10:53:16 -0700

dkms (3.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 May 2025 04:47:51 +0200
