=== debian/tests/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Test-Command: sh debian/tests/run_test_wrapper.sh
 Features: test-name=run_test.sh
 Architecture: !i386
-Depends:
- dkms,
- openssl,
- linux-headers-generic
- | linux-headers-rpi [armel]
+Depends: dkms, linux-headers-generic | linux-headers-rpi [armel], openssl
 Restrictions:
  allow-stderr,
  needs-root,
  breaks-testbed,
 
+Test-Command: umount /proc || exit 77 && sh debian/tests/run_test_wrapper.sh
+Features: test-name=run_test.sh_without_proc
+Architecture: !i386
+Depends: dkms, linux-headers-generic | linux-headers-rpi [armel], openssl
+Restrictions:
+ allow-stderr,
+ needs-root,
+ breaks-testbed,
+ skippable,
+
 # install some-dkms after linux-headers
 Test-Command: apt-get install -yf dkms-test-dkms && dkms status
 Features: test-name=install_some-dkms_after_linux-headers
 Architecture: amd64
-Depends:
- dkms,
- linux-headers-generic,
+Depends: dkms, linux-headers-generic
 Restrictions:
  allow-stderr,
  needs-root,
@@ -27,8 +31,7 @@
 Test-Command: apt-get install -yf linux-headers-generic && dkms status
 Features: test-name=install_linux-headers_after_some-dkms
 Architecture: amd64
-Depends:
- dkms-test-dkms,
+Depends: dkms-test-dkms
 Restrictions:
  allow-stderr,
  needs-root,
@@ -38,9 +41,7 @@
 Test-Command: apt-get install -yf dkms-test-dkms && dkms status
 Features: test-name=install_some-dkms_after_linux-image_without_linux-headers
 Architecture: amd64
-Depends:
- dkms,
- linux-image-generic,
+Depends: dkms, linux-image-generic
 Restrictions:
  allow-stderr,
  needs-root,
@@ -50,8 +51,7 @@
 Test-Command: apt-get install -yf linux-image-generic && dkms status
 Features: test-name=install_linux-image_after_some-dkms_without_linux-headers
 Architecture: amd64
-Depends:
- dkms-test-dkms,
+Depends: dkms-test-dkms
 Restrictions:
  allow-stderr,
  needs-root,
@@ -61,9 +61,7 @@
 Test-Command: apt-get install -yf dkms-noautoinstall-test-dkms && dkms status
 Features: test-name=install_some-noautoinstall-dkms_after_linux-headers
 Architecture: amd64
-Depends:
- dkms,
- linux-headers-generic,
+Depends: dkms, linux-headers-generic
 Restrictions:
  allow-stderr,
  needs-root,
@@ -73,8 +71,7 @@
 Test-Command: apt-get install -yf linux-headers-generic && dkms status
 Features: test-name=install_linux-headers_after_some-noautoinstall-dkms
 Architecture: amd64
-Depends:
- dkms-noautoinstall-test-dkms,
+Depends: dkms-noautoinstall-test-dkms
 Restrictions:
  allow-stderr,
  needs-root,
@@ -90,8 +87,7 @@
  /usr/lib/dkms/dkms-autopkgtest dkms-test-dkms
 Features: test-name=32-bit_userspace_with_64-bit_kernel
 Architecture: i386
-Depends:
- dkms,
+Depends: dkms
 Restrictions:
  allow-stderr,
  needs-root,
