=== test/dkms_duplicate_test/Makefile ===
obj-m += dkms_duplicate_test.o

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean
