=== test/dkms_noisy_test-1.0/Makefile ===
all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean
