=== test/dkms_nover_update_test/1.0/Makefile ===
obj-m += dkms_nover_update_test.o

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean
