=== debian/changelog ===
dkms (3.2.2-1~deb13u1) trixie; urgency=medium

  * Rebuild for trixie.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 01 Nov 2025 20:49:32 +0100

dkms (3.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Stop shipping dkms.service. Not really needed and causes a dependency
    cycle with cloud-init-network.service.  (Closes: #1107232)
  * common.postinst: Emit a warning if no kernel headers were found.
    (Closes: #1114731)
  * Drop Pre-Depends: lsb-release, no longer used since 3.0.12.
  * Add Breaks against more obsolete *-dkms packages.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Sep 2025 00:42:50 +0200
